Skip to main content
`Ctrl`+`K`

# FNGetType

Gets the `FN` type name (as a string) from the `FN` context.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNGetType(FN fn,FNType *type)

Not Collective

## Input Parameter

- fn - the math function context

## Output Parameter

- type - name of the math function

## See Also

FN: Mathematical Functions, `FNSetType()`

## Level

intermediate

## Location

src/sys/classes/fn/interface/fnbasic.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages